package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcQlzxxdsjMapper;
import com.ruoyi.zongzhi.domain.TcQlzxxdsj;
import com.ruoyi.zongzhi.service.ITcQlzxxdsjService;

/**
 * 清郎专项行动数据统计Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-28
 */
@Service
public class TcQlzxxdsjServiceImpl implements ITcQlzxxdsjService 
{
    @Autowired
    private TcQlzxxdsjMapper tcQlzxxdsjMapper;

    /**
     * 查询清郎专项行动数据统计
     * 
     * @param id 清郎专项行动数据统计主键
     * @return 清郎专项行动数据统计
     */
    @Override
    public TcQlzxxdsj selectTcQlzxxdsjById(Long id)
    {
        return tcQlzxxdsjMapper.selectTcQlzxxdsjById(id);
    }

    /**
     * 查询清郎专项行动数据统计列表
     * 
     * @param tcQlzxxdsj 清郎专项行动数据统计
     * @return 清郎专项行动数据统计
     */
    @Override
    public List<TcQlzxxdsj> selectTcQlzxxdsjList(TcQlzxxdsj tcQlzxxdsj)
    {
        return tcQlzxxdsjMapper.selectTcQlzxxdsjList(tcQlzxxdsj);
    }

    /**
     * 新增清郎专项行动数据统计
     * 
     * @param tcQlzxxdsj 清郎专项行动数据统计
     * @return 结果
     */
    @Override
    public int insertTcQlzxxdsj(TcQlzxxdsj tcQlzxxdsj)
    {
        return tcQlzxxdsjMapper.insertTcQlzxxdsj(tcQlzxxdsj);
    }

    /**
     * 修改清郎专项行动数据统计
     * 
     * @param tcQlzxxdsj 清郎专项行动数据统计
     * @return 结果
     */
    @Override
    public int updateTcQlzxxdsj(TcQlzxxdsj tcQlzxxdsj)
    {
        return tcQlzxxdsjMapper.updateTcQlzxxdsj(tcQlzxxdsj);
    }

    /**
     * 批量删除清郎专项行动数据统计
     * 
     * @param ids 需要删除的清郎专项行动数据统计主键
     * @return 结果
     */
    @Override
    public int deleteTcQlzxxdsjByIds(Long[] ids)
    {
        return tcQlzxxdsjMapper.deleteTcQlzxxdsjByIds(ids);
    }

    /**
     * 删除清郎专项行动数据统计信息
     * 
     * @param id 清郎专项行动数据统计主键
     * @return 结果
     */
    @Override
    public int deleteTcQlzxxdsjById(Long id)
    {
        return tcQlzxxdsjMapper.deleteTcQlzxxdsjById(id);
    }
}
